summaryrefslogtreecommitdiffstats
path: root/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-12-02 22:37:23 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-12-02 22:37:34 (GMT)
commit8b94d7f39c71234712bead363526a0283efeb9fa (patch)
tree23f1dbd6458dc39a2c1b08bcdd4cbf768a60d84d /build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root
parent338af567e74d08cbd357079941208e494463d61e (diff)
downloadlinhes_dev-8b94d7f39c71234712bead363526a0283efeb9fa.zip
larch8: first checkin, still needs some work
Diffstat (limited to 'build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root')
-rw-r--r--build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bash_profile1
-rw-r--r--build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bashrc2
-rwxr-xr-xbuild_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/LinHES-install.sh34
-rwxr-xr-xbuild_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/startx28
4 files changed, 65 insertions, 0 deletions
diff --git a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bash_profile b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bash_profile
new file mode 100644
index 0000000..c49349b
--- /dev/null
+++ b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bash_profile
@@ -0,0 +1 @@
+. $HOME/.bashrc
diff --git a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bashrc b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bashrc
new file mode 100644
index 0000000..3e5c29c
--- /dev/null
+++ b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/.bashrc
@@ -0,0 +1,2 @@
+alias ls='ls --color=auto'
+PS1='[\u@\h \W]\$ '
diff --git a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/LinHES-install.sh b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/LinHES-install.sh
new file mode 100755
index 0000000..6acd24a
--- /dev/null
+++ b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/LinHES-install.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#redirect stderr to stdout, then rediret stdout to file
+. /etc/profile
+exec 2>&1
+exec > /tmp/mythvantage_install.log
+#/usr/bin/nvidia-settings -a InitialPixmapPlacement=2
+#keylaunch &
+#/usr/bin/tilda &
+#/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents &
+export MALLOC_CHECK_=0
+xset s off
+xset -dpms
+xhost +
+
+CMDLINE=$(cat /proc/cmdline)
+echo $CMDLINE |grep -q nfsroot
+NFSROOT=$?
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
+then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
+MythVantage -r
+
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage &
+else
+ NETBOOT=YES MythVantage &
+fi
+
+exec fluxbox > /var/log/fluxbox.log 2>&1
diff --git a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/startx b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/startx
new file mode 100755
index 0000000..9274703
--- /dev/null
+++ b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/root/startx
@@ -0,0 +1,28 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ $MV_ROOT/bin/xconfig.sh 2>/dev/null
+ cat /etc/X11/xorg.conf | sed -e 's/dev\/mouse/dev\/psaux/g'> /root/xorg.conf.install
+ startx /root/LinHES-install.sh -- -logverbose 6 -config /root/xorg.conf.install -allowMouseOpenFail 2>/tmp/x.log
+ else
+ #VNC
+ pacman -Sf --noconfirm tightvnc
+ cd /root
+ mkdir .vnc
+ echo mythvantage |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm /root/.vnc/xstartup
+ ln -s /root/LinHES-install.sh /root/.vnc/xstartup
+ vncserver
+fi